uniform sampler2D DiffuseSampler;
uniform sampler2D DepthSampler;

uniform vec2 OutSize;
varying vec2 texCoord;

float near = .20; 
float far  = 200.0;
float _FOV = 80.;
  
float LinearizeDepth(float depth) 
{
    float z = depth * 2.0 - 1.0;
    return (near * far) / (far + near - z * (far - near));    
}

void main() {
    float depth = LinearizeDepth(texture2D(DepthSampler, texCoord).r);
    float distance = length(vec3(1., (2.*texCoord - 1.) * vec2(OutSize.x/OutSize.y,1.) * tan(radians(_FOV / 2.))) * depth);

    float blockedLight = 1. - pow(0.90, depth);

    vec3 fogColor = vec3(0, 0, 0);

    gl_FragColor = vec4(fogColor, blockedLight);
}